> For the complete documentation index, see [llms.txt](https://docs.mav.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-common-contracts/interfaces/imaverickv2factoryadmin.md).

# IMaverickV2FactoryAdmin

### Functions <a href="#functions" id="functions"></a>

#### setProtocolFeeRatio <a href="#setprotocolfeeratio" id="setprotocolfeeratio"></a>

Set the protocol fee ratio.

```solidity
function setProtocolFeeRatio(uint8 _protocolFeeRatioD3) external;
```

**Parameters**

| Name                  | Type    | Description                                           |
| --------------------- | ------- | ----------------------------------------------------- |
| `_protocolFeeRatioD3` | `uint8` | The new protocol fee ratio to set in 3-decimal units. |

#### setProtocolLendingFeeRate <a href="#setprotocollendingfeerate" id="setprotocollendingfeerate"></a>

Set the protocol lending fee rate.

```solidity
function setProtocolLendingFeeRate(uint256 _protocolLendingFeeRateD18) external;
```

**Parameters**

| Name                         | Type      | Description                                                   |
| ---------------------------- | --------- | ------------------------------------------------------------- |
| `_protocolLendingFeeRateD18` | `uint256` | The new protocol lending fee rate to set in 18-decimal units. |

#### setProtocolFeeReceiver <a href="#setprotocolfeereceiver" id="setprotocolfeereceiver"></a>

Set the protocol fee receiver address. If protocol fee is non-zero, user will be able to permissionlessly push protocol fee from a given pool to this address.

```solidity
function setProtocolFeeReceiver(address receiver) external;
```

#### renounceOwnership <a href="#renounceownership" id="renounceownership"></a>

Renounce ownership of the contract.

```solidity
function renounceOwnership() external;
```

#### transferOwnership <a href="#transferownership" id="transferownership"></a>

Transfer ownership of the contract to a new owner.

```solidity
function transferOwnership(address newOwner) external;
```

**Parameters**

| Name       | Type      | Description                   |
| ---------- | --------- | ----------------------------- |
| `newOwner` | `address` | The address of the new owner. |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-common-contracts/interfaces/imaverickv2factoryadmin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
